Bug 1572463 (CVE-2017-15691)

Summary: CVE-2017-15691 uima: XML external entity expansion (XXE) can allow attackers to execute arbitrary code
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: aileenc, bcourt, bkearney, chazlett, janstey, java-sig-commits, jmatthew, jochrist, lef, mmccune, ohadlevy, puntogil, rchan, rhel8-maint, tsanders
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: uimaj 2.10.2 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-07-12 13:05:14 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1572464, 1572465    
Bug Blocks: 1572467    

Description Sam Fowler 2018-04-27 05:17:20 UTC
Apache UIMA before version 2.10.2 has an XML external entity expansion vulnerability. A remote attacker could exploit this to potentially execute arbitrary code.


External Reference:

https://uima.apache.org/security_report#CVE-2017-15691

Comment 1 Sam Fowler 2018-04-27 05:17:33 UTC
Created uimaj tracking bugs for this issue:

Affects: fedora-all [bug 1572464]

Comment 3 Kurt Seifried 2018-04-27 17:55:17 UTC
Statement:

This issue affects the versions of lucene (which contains an embedded copy of uima) as shipped with Red Hat Satellite 6.0 and 6.1. Red Hat Satellite 6.2 and later do not include lucene and are not vulnerable to this issue.

Comment 5 errata-xmlrpc 2019-06-18 19:52:33 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.3.1

Via RHSA-2019:1545 https://access.redhat.com/errata/RHSA-2019:1545

Comment 6 Product Security DevOps Team 2019-07-12 13:05:14 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2017-15691